package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpSpecialTaskScriptListRequestToCondition(req *http_model.SpecialTaskScriptListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		ScriptStatus:     conv.MustInt64(req.ScriptStatus),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
